public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-dev] RFC: virtual/sound-theme: New package providing freedesktop.org spec compliant theme for desktop env. system sounds
@ 2024-10-23 18:19 Andreas Sturmlechner
  2024-11-01 11:56 ` [gentoo-dev] RFC v2: " Andreas Sturmlechner
  0 siblings, 1 reply; 2+ messages in thread
From: Andreas Sturmlechner @ 2024-10-23 18:19 UTC (permalink / raw
  To: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 3056 bytes --]

See also:
https://specifications.freedesktop.org/sound-naming-spec/latest/
https://bugs.gentoo.org/941986
https://github.com/gentoo/gentoo/pull/38648 (as part of a libcanberra split)
https://bugs.gentoo.org/323379 (some history)

media-libs/libcanberra is still broadly used as sound event library, even 
media-video/pipewire[X] depends on it, and KDE Plasma packages as well.

media-libs/libcanberra has IUSE=+sounds, which currently pulls in x11-themes/
sound-theme-freedesktop. But it can be replaced by other sound themes as long 
as they adhere to freedesktop.org spec, which essentially seems to come down 
to standardised notification sound names and some index file in

/usr/share/sounds/<theme-name>/index.them

In KDE world there are two alternatives:
- kde-plasma/ocean-sound-theme
- kde-plasma/oxygen-sounds

But it is possible there are other themes already in ::gentoo that I am not 
aware of, or maybe other DE maintainers have their own ideas, so CCing 
relevant maintainers.

Current x11-themes/sound-theme-freedesktop RDEPENDs:

gnome-base/gnome
gnome-extra/gnome-tweaks
kde-plasma/kpipewire
kde-plasma/plasma-pa
media-libs/libcanberra-0.30-r7:sound

There are also a few media-libs/libcanberra[sound] revdeps that are addressed 
in the linked PR.


Subject: [PATCH] virtual/sound-theme: new package, add 0

- IUSE sound: derived from media-libs/libcanberra[sound]
- KEYWORDS: derived from x11-themes/sound-theme-freedesktop
  plus ~s390 for media-libs/libcanberra

Bug: https://bugs.gentoo.org/323379
Bug: https://bugs.gentoo.org/941986
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 create mode 100644 virtual/sound-theme/metadata.xml
 create mode 100644 virtual/sound-theme/sound-theme-0.ebuild

diff --git a/virtual/sound-theme/metadata.xml b/virtual/sound-theme/
metadata.xml
new file mode 100644
index 0000000000000..ff357f23fed56
--- /dev/null
+++ b/virtual/sound-theme/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>freedesktop-bugs@gentoo.org</email>
+	</maintainer>
+	<stabilize-allarches/>
+	<use>
+		<flag name="sound">Install freedesktop.org spec compliant 
theme for desktop environment system sounds</flag>
+	</use>
+</pkgmetadata>
diff --git a/virtual/sound-theme/sound-theme-0.ebuild b/virtual/sound-theme/
sound-theme-0.ebuild
new file mode 100644
index 0000000000000..c57c588d63aa9
--- /dev/null
+++ b/virtual/sound-theme/sound-theme-0.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Virtual for themes following the freedesktop.org sound naming 
spec"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="+sound"
+
+RDEPEND="
+	sound? ( || (
+		x11-themes/sound-theme-freedesktop
+		kde-plasma/ocean-sound-theme:*
+		>=kde-plasma/oxygen-sounds-6.0.0:*
+	) )
+"

[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 789 bytes --]

^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-dev] RFC v2: virtual/sound-theme: New package providing freedesktop.org spec compliant theme for desktop env. system sounds
  2024-10-23 18:19 [gentoo-dev] RFC: virtual/sound-theme: New package providing freedesktop.org spec compliant theme for desktop env. system sounds Andreas Sturmlechner
@ 2024-11-01 11:56 ` Andreas Sturmlechner
  0 siblings, 0 replies; 2+ messages in thread
From: Andreas Sturmlechner @ 2024-11-01 11:56 UTC (permalink / raw
  To: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 1637 bytes --]

Changes over v1: Dropped IUSE sound, possible after masking {g,}vim[sound] in s390 profiles.
See also current state of https://github.com/gentoo/gentoo/pull/38648


KEYWORDS derived from x11-themes/sound-theme-freedesktop

Bug: https://bugs.gentoo.org/323379
Bug: https://bugs.gentoo.org/941986
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 create mode 100644 virtual/sound-theme/metadata.xml
 create mode 100644 virtual/sound-theme/sound-theme-0.ebuild

diff --git a/virtual/sound-theme/metadata.xml b/virtual/sound-theme/metadata.xml
new file mode 100644
index 000000000000..c73ee2cc3df7
--- /dev/null
+++ b/virtual/sound-theme/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>freedesktop-bugs@gentoo.org</email>
+	</maintainer>
+	<stabilize-allarches/>
+</pkgmetadata>
diff --git a/virtual/sound-theme/sound-theme-0.ebuild b/virtual/sound-theme/sound-theme-0.ebuild
new file mode 100644
index 000000000000..894c8d1e3d31
--- /dev/null
+++ b/virtual/sound-theme/sound-theme-0.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Virtual for themes following the freedesktop.org sound naming spec"
+
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	|| (
+		x11-themes/sound-theme-freedesktop
+		kde-plasma/ocean-sound-theme:*
+		>=kde-plasma/oxygen-sounds-6.0.0:*
+	)
+"
-- 
2.47.0

[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 789 bytes --]

^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-11-01 11:56 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-10-23 18:19 [gentoo-dev] RFC: virtual/sound-theme: New package providing freedesktop.org spec compliant theme for desktop env. system sounds Andreas Sturmlechner
2024-11-01 11:56 ` [gentoo-dev] RFC v2: " Andreas Sturmlechner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox